org.scalatest

# Distributor

#### trait Distributor extends AnyRef

Trait whose instances facilitate parallel execution of `Suite`s. An optional `Distributor` is passed to the `run` method of `Suite`. If a `Distributor` is indeed passed, trait `Suite`'s implementation of `run` will populate that `Distributor` with its nested `Suite`s (by passing them to the `Distributor`'s `apply` method) rather than executing the nested `Suite`s directly. It is then up to another thread or process to execute those `Suite`s.

If you have a set of nested `Suite`s that must be executed sequentially, you can mix in trait `SequentialNestedSuiteExecution`, which overrides `runNestedSuites` and calls `super`'s `runNestedSuites` implementation, passing in `None` for the `Distributor`.

Implementations of this trait must be thread safe.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Distributor
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Abstract Value Members

1. #### def apply (suite: Suite, tracker: Tracker): Unit

   Puts a `Suite` into the `Distributor`.

   Puts a `Suite` into the `Distributor`.

   suite

     the `Suite` to put into the `Distributor`.

   tracker

     a `Tracker` to pass to the `Suite`'s `run` method.

   Attributes
     abstract

### Concrete Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

14. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def toString (): String

    Definition Classes
      AnyRef → Any

19. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

20. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

21. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any